<?php

class PandaDocTokens extends SugarApi
{
    public function registerApiRest()
    {
        return array(
            'TokensApi' => array(
                'reqType' => 'GET',
                'path' => array('pandadoctokens'),
                'pathVars' => array(''),
                'method' => 'retrieveTokens',
                'shortHelp' => 'Custom end point for retrieving pandadoc tokens',
                'longHelp' => 'Custom end point for retrieving pandadoc tokens',
            ),
        );
    }

    public function retrieveTokens($api, $args)
    {


        $tokensList = array();
        if(!empty($args['module']) && !empty($args['id'])){
            $module = $args['module'];
            $modelId = $args['id'];

            $model = BeanFactory::getBean($module, $modelId);

            $admin = new Administration();
            $pandaDocTokens = $admin->retrieveSettings('pandadoc');
            $tokens = json_decode(html_entity_decode($pandaDocTokens->settings['pandadoc_tokens']), true);


            foreach($tokens[$module] as $name=>$field){
                $value = "";

                if($field == "email"){
                    $value = $model->emailAddress->getPrimaryAddress($model);
                }
                else if(is_numeric($model->$field) && is_float(floatval($model->$field))){
                    $value = round($model->$field, 2);
                }
                else {
                    $value = $model->$field;
                }

                $tokensList[$name] = $value;
            }
        }

        return $tokensList;
    }
}
