{*
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/06_Customer_Center/10_Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
*}
{literal}
    <style>

        .link {
            text-decoration: underline
        }

        .ui-widget-content {
            border: none;
        }

        .ui-tabs .ui-tabs-nav {
            padding: 0px;
            background: transparent;
            border: none;
        }

        .ui-tabs .ui-tabs-panel {
            border: 1px solid #aaa;
        }

        .ui-tabs .ui-tabs-nav li.ui-state-active {
            border-bottom: 1px solid #fff !important;
        }

        .ui-tabs .ui-tabs-nav li {
            top: 6px;
        }
    </style>
{/literal}

<div class="hr"></div>

<script type="text/javascript">
    {literal}
    $(document).ready(function () {
        $("#tabs").tabs()

        $(".addtoken").click(function (event) {
            var forModule = $(event.target).parents("p").attr("data-formodule");
            var tokenPlaceHolder = $("span." + forModule + "_hidden").html();
            $("#" + forModule + "_tokens").append("<p>" + tokenPlaceHolder + "<input onclick=\"removeToken(this)\" title=\"Remove\" class=\"button remove_token\" type=\"button\" name=\"remove_button\" value=\"Remove\"></p>").find("input.addtoken").remove();
        })

        $(".cancel_header").click(function (event) {
            document.location.href='index.php?module=Administration&action=index';
        })
    });

    function removeToken(el) {
        var elementToRemove = $(el).parents("p");
        $(elementToRemove).remove();
    }

    {/literal}
</script>

<form enctype="multipart/form-data" name="tokenstabs" method="POST" action="index.php" id="tokenstabs">
    {sugar_csrf_form_token}
    <input type="hidden" name="module" value="Administration">
    <input type="hidden" name="action" value="savetokens">

    <div>
        <input type="submit" name="submit" value="Save" class="button primary"/>
        <input title="Cancel" id="CANCEL_HEADER" accesskey="l" class="button cancel_header" type="button" name="button"
               value="Cancel">
    </div>

    <div id="tabs">
        <ul>
            {foreach from=$TABS_HEADER key=k item=v}
                <li><a href="#tabs-{$k}">{$v}</a></li>
            {/foreach}
        </ul>

        {foreach from=$TABS_HEADER key=k item=v}
            <div id="tabs-{$k}">
                <h2 style="margin-bottom: 20px">{$v} Tokens</h2>
                <div id="{$v}_tokens" style="margin-bottom: 20px;">
                    {foreach from=$TOKENS key=token item=value}
                        {if $token eq $v}
                            {foreach key=tokenName item=tokenField from=$value}
                                <p><input type="text" name="tokens[{$v}][]" value="{$tokenName}"/>
                                    <select name="fields[{$v}][]">
                                        {foreach item=fieldName from=$MOD_FIELDS.$v}
                                            <option value="{$fieldName}"
                                            {if $tokenField eq $fieldName}
                                                selected = "selected"
                                            {/if}
                                            >{$fieldName}</option>
                                        {/foreach}
                                    </select>
                                    <input title="Remove" class="button remove_token" type="button" name="button" onclick="removeToken(this)"
                                           value="Remove">
                                </p>
                            {/foreach}
                        {/if}
                    {/foreach}
                </div>

                <p class="{$v}_newToken" data-formodule="{$v}">
                    <span class="{$v}_hidden" style="display:none">
                        <input type="text" name="tokens[{$v}][]" value=""/>
                        <select name="fields[{$v}][]">
                            {foreach item=fieldName from=$MOD_FIELDS.$v}
                                <option value="{$fieldName}">{$fieldName}</option>
                            {/foreach}
                        </select>
                    </span>
                    <input type="button" class="button primary addtoken" value="Add New"/>
                </p>
            </div>
        {/foreach}
    </div>

    <div style="margin-top: 10px;">
        <input type="submit" name="submit" value="Save" class="button primary"/>
        <input title="Cancel" id="CANCEL_HEADER" accesskey="l" class="button cancel_header" type="button" name="button"
               value="Cancel">
    </div>
</form>


