<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/06_Customer_Center/10_Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
/*********************************************************************************

 * Description:  TODO: To be written.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/

class ViewPandadoc extends SugarView
{

    public $allowedModules = array(
        'Opportunities',
        'Accounts',
        'Contacts'
    );


    /**
     * @see SugarView::display()
     */
    public function display()
    {
        global $mod_strings;

        $fields = array();
        foreach($this->allowedModules as $module){
            $fields[$module] = $this->loadFieldsForModule($module);
        }

        $admin = new Administration();
        $pandaDocTokens = $admin->retrieveSettings('pandadoc');
        $tokens = json_decode(html_entity_decode($pandaDocTokens->settings['pandadoc_tokens']), true);

        $this->ss->assign("TABS_HEADER", $this->allowedModules);
        $this->ss->assign("MOD_FIELDS", $fields);
        $this->ss->assign("TOKENS", $tokens);
        $content = $this->ss->fetch('custom/modules/Administration/tpls/pandadoc.tpl');

        $this->ss->assign("PANDADOC_TITLE", $mod_strings['LBL_PANDADOC_TITLE']);
        $this->ss->assign("CONTENT",$content);
        $this->ss->display('custom/modules/Administration/tpls/wrapper.tpl');
    }

    protected function loadFieldsForModule($module){
        global $dictionary, $beanList;
        $beanFields = $this->filterFields($dictionary[$beanList[$module]]['fields']);
        return $beanFields;
    }

    protected function filterFields($fields){
        $fieldsArray = array();
        foreach($fields as $name=>$def){
             if($def['type'] == 'id' || (isset($def['dbType']) && $def['dbType'] == "id") || $def['type'] == 'link'){
                 unset($fields[$name]);
             }
            else {
                $fieldsArray[]= $name;
            }
        }

        return $fieldsArray;
    }
}
